org.eclipse.microprofile.rest.client.ext

## Class DefaultClientHeadersFactoryImplTest

- java.lang.Object
- - org.eclipse.microprofile.rest.client.ext.DefaultClientHeadersFactoryImplTest

    public class DefaultClientHeadersFactoryImplTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DefaultClientHeadersFactoryImplTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testUpdateWithConfiguredPropagationHeaders()`
`void` `testUpdateWithConfiguredPropagationHeadersAndExistingOutgoingHeaders()`
`void` `testUpdateWithNoConfigReturnsEmptyMap()`
`void` `unsetPropagationProperty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultClientHeadersFactoryImplTest

    public DefaultClientHeadersFactoryImplTest()

### Method Detail

#### unsetPropagationProperty

    @BeforeMethod
    public void unsetPropagationProperty()

#### testUpdateWithNoConfigReturnsEmptyMap

    public void testUpdateWithNoConfigReturnsEmptyMap()

#### testUpdateWithConfiguredPropagationHeaders

    public void testUpdateWithConfiguredPropagationHeaders()

#### testUpdateWithConfiguredPropagationHeadersAndExistingOutgoingHeaders

    public void testUpdateWithConfiguredPropagationHeadersAndExistingOutgoingHeaders()